Subject: Re: [Lse-tech] Re: A common layer for Accounting packages

From: Thomas Graf <[email-masked]>
Date: Mon, 28 Feb 2005 14:53:07 +0100

* jamal <[email-masked]> 2005-02-28 08:40
> 
> netlink broadcast or a wrapper around it.
> Why even bother doing the check with netlink_has_listeners()?

To implement the master enable/disable switch they want. The messages
don't get send out anyway but why bother doing all the work if nothing
will get send out in the end? It implements a well defined flag
controlled by open/close on fds (thus handles dying applications)
stating whether the whole code should be enabled or disabled. It is of
course not needed to avoid sending unnecessary messages.